﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=10.5
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: False
#End Region

Sub Process_Globals
	Private cc As ContentChooser
 
End Sub

Sub Globals
	Dim txtDesc As EditText
	
	Dim txtTitle As EditText
	Dim clsDesc As ColorDrawable
	Dim selectedColorID As Int
	
	Dim pAddCatShadow As Panel
	Dim pAddCat As Panel
	Dim lstCats As ListView
	Dim selectedCatID As Int
	
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.Color = Colors.RGB(248,248,248)
	selectedColorID = 1
	selectedCatID = 1
	
	Dim p As Panel
	p.Initialize("")
	Activity.AddView(p,0,0,100%x,8%y)
	p.Color = Colors.White
	
	Dim imgBack As ImageView
	imgBack.Initialize("imgBack")
	Activity.AddView(imgBack,5%x,2%y,7%x,7%x)
	imgBack.Bitmap = LoadBitmap(File.DirAssets,"imgBack.png")
	imgBack.Gravity = Gravity.FILL
	imgBack.BringToFront
	
	
	Dim lbl As Label
	lbl.Initialize("")
	p.AddView(lbl,20%x,0,100%x,8%y)
	lbl.Text = "Note information"
	lbl.TextColor = Colors.RGB(67,67,67)
	lbl.TextSize=  14
	lbl.Gravity = Bit.Or(Gravity.LEFT,Gravity.CENTER)
	lbl.Typeface = Typeface.DEFAULT_BOLD
	lbl.BringToFront
	
	
	Dim cls As ColorDrawable
	cls.Initialize(Colors.RGB(237,53,63),10%x)
	Dim lbl As Label
	lbl.Initialize("lblSave")
	Activity.AddView(lbl,75%x,1%y,20%x,10%x)
	lbl.Text = "SAVE"
	lbl.Typeface = Typeface.DEFAULT_BOLD
	lbl.TextColor = Colors.White
	lbl.TextSize = 12
	lbl.Gravity = Gravity.CENTER
	lbl.BringToFront
	lbl.Background = cls
	
	
	Dim cls As ColorDrawable
	cls.Initialize(Colors.RGB(235,235,235),5%x)
	Dim pSearch As Panel
	pSearch.Initialize("")
	Activity.AddView(pSearch,5%x,10%y,90%x,8%y)
	pSearch.Background = cls
	pSearch.BringToFront

	txtTitle.Initialize("txtTitle")
	pSearch.AddView(txtTitle,5%x,0,80%x,8%y)
	txtTitle.Color = Colors.ARGB(0,0,0,0)
	txtTitle.TextColor = Colors.RGB(67,67,67)
	txtTitle.Gravity = Bit.Or(Gravity.LEFT,Gravity.CENTER)
	txtTitle.TextSize = 14
	txtTitle.Hint = "Note title"
	txtTitle.HintColor = Colors.RGB(100,100,100)
	txtTitle.BringToFront
	txtTitle.SingleLine= True
	
	txtDesc.Initialize("txtDesc")
	Activity.AddView(txtDesc,5%x,20%y,90%x,58%y)
	txtDesc.Gravity = Gravity.LEFT
	txtDesc.TextColor = Colors.RGB(67,67,67)
	txtDesc.TextSize = 14
	txtDesc.Typeface = Typeface.DEFAULT
	txtDesc.BringToFront
	txtDesc.Hint = "Enter notes description"
	txtDesc.HintColor = Colors.RGB(100,100,100)

	clsDesc.Initialize(Colors.RGB(255,219,195),2%x)
	txtDesc.Background = clsDesc
	
	Dim cls2 As ColorDrawable
	cls2.Initialize(Colors.White,5%x)
	Dim p As Panel
	p.Initialize("")
	Activity.AddView(p,5%x,81%y,90%x,8%y)
	p.Background = cls2
	p.BringToFront
	
	Create_Colors(p)
	 
	
	
	Dim p As Panel
	p.Initialize("")
	Activity.AddView(p,0%x,92%y,100%x,8%y)
	p.Color = Colors.White
	p.BringToFront
	
	Dim imgBookMark As ImageView
	imgBookMark.Initialize("imgBookMark")
	p.AddView(imgBookMark,45%x,1%y,10%x,10%x)
	imgBookMark.Bitmap = LoadBitmap(File.DirAssets,"imgBookMark.PNG")
	imgBookMark.Gravity = Gravity.FILL
	imgBookMark.BringToFront
	
'	Dim imgAddImage As ImageView
'	imgAddImage.Initialize("imgAddImage")
'	p.AddView(imgAddImage,40%x,1%y,9%x,9%x)
'	imgAddImage.Bitmap = LoadBitmap(File.DirAssets,"imgAddImage.png")
'	imgAddImage.Gravity = Gravity.FILL
'	imgAddImage.BringToFront
	
	
	pAddCatShadow.Initialize("pAddCatShadow")
	Activity.AddView(pAddCatShadow,0,0,100%x,100%y)
	pAddCatShadow.Color = Colors.ARGB(150,0,0,0)
	pAddCatShadow.BringToFront
	pAddCatShadow.Visible = False
	
	Dim clsPCat As ColorDrawable
	clsPCat.Initialize(Colors.White,10%x)
	
	
	
	pAddCat.Initialize("pAddCat")
	Activity.AddView(pAddCat,0,100%y,100%x,60%y)
	pAddCat.Background = clsPCat
	pAddCat.BringToFront
	
	Dim imgCatGrip As ImageView
	imgCatGrip.Initialize("imgCatGrip")
	pAddCat.AddView(imgCatGrip,40%x,1%y,20%x,10%x)
	imgCatGrip.Bitmap = LoadBitmap(File.DirAssets,"imgCatGrip.PNG")
	imgCatGrip.Gravity = Gravity.FILL
	imgCatGrip.BringToFront
	
	Dim lbl As Label
	lbl.Initialize("")
	pAddCat.AddView(lbl,0,2%y,100%x,10%y)
	lbl.Text ="Category information"
	lbl.TextColor = Colors.RGB(67,67,67)
	lbl.TextSize = 14
	lbl.Typeface = Typeface.DEFAULT_BOLD
	lbl.Gravity = Gravity.CENTER
	lbl.BringToFront
	
	lstCats.Initialize("lstCats")
	pAddCat.AddView(lstCats,20%x,10%y,60%x,30%y)
	lstCats.Color = Colors.White
	lstCats.SingleLineLayout.Label.TextSize = 14
	lstCats.SingleLineLayout.Label.TextColor = Colors.RGB(67,67,67)
	lstCats.SingleLineLayout.Label.Gravity = Gravity.CENTER
	lstCats.SingleLineLayout.Label.Typeface = Typeface.DEFAULT_BOLD
	lstCats.BringToFront
	
	Load_Cats
	Load_Data_ByID
	
End Sub
'
'Sub imgAddImage_Click
'	Try
'		cc.Initialize("CC")
'		cc.Show("image/*", "Choose Image")
'		Wait For CC_Result (Success As Boolean, Dir As String, FileName As String)
'		If Success Then
'			
'			Dim bb As Bitmap
'			bb.Initialize(Dir, FileName)
'			
'			Dim cs As CSBuilder
'			cs.Initialize.Size(14)
'			cs.Append(txtDesc.Text).Image(bb, 30%x, 30%x, False).Append(CRLF)
'			cs.popall
'			cs.ht
'			txtDesc.text=cs
'			
'			SaveTheImage(Dir,FileName)
'			
'		End If
'	 	
'	Catch
'		Log(LastException)
'	End Try
'End Sub
Sub SaveTheImage(dir As String,filename As String)
	Try
	
	
'		Dim Buffer() As Byte = File.ReadBytes(dir, filename)
'			 
'		Main.sqlData.BeginTransaction
'		Main.sqlData.ExecNonQuery2("update Products set [ProductImage] = ? where ProductID=? ", Array As Object(Buffer,LastID))
'		Main.sqlData.TransactionSuccessful
'		Main.sqlData.EndTransaction
		
	Catch
		Log(LastException)
	End Try
End Sub

Sub lstCats_ItemClick (Position As Int, Value As Object)
	Try
		selectedCatID = Value
		pAddCatShadow.SetVisibleAnimated(500,False)
		pAddCat.SetLayoutAnimated(500,0,100%y,100%x,60%y)
		
	Catch
		Log(LastException)
	End Try
End Sub
Sub Load_Cats
	Try
		Dim c As Cursor
		c = Main.sql1.ExecQuery("select * from Categories")
		
		For i = 0 To c.RowCount -1
			c.Position = i
			lstCats.AddSingleLine2(c.GetString("CategoryDesc"),c.GetInt("CategoryID"))
		Next
		c.Close
		
	Catch
		Log(LastException)
	End Try
End Sub
Sub pAddCat_Click
	
End Sub
Sub pAddCatShadow_Click
	Try
		pAddCatShadow.SetVisibleAnimated(500,False)
		pAddCat.SetLayoutAnimated(500,0,100%y,100%x,60%y)
		
	Catch
		Log(LastException)
	End Try
End Sub
Sub imgBookMark_Click
		
		Try
			
			pAddCatShadow.SetVisibleAnimated(500,True)
			pAddCat.SetLayoutAnimated(500,0,60%y,100%x,60%y)
		
		Catch
			Log(LastException)
		End Try
	 
End Sub

Sub lblSave_Click
	Try
		If txtTitle.Text.Trim = "" Or txtDesc.Text.Trim = "" Then
			ToastMessageShow("Please insert all the fields",True)
			Return
		End If
		
		If MainMenu.selectedNoteID > 0 Then
			
			Dim str As String
			str = "update NotesInfo set [NoteTitle]=? , [NoteDesc]=? , [NoteColor]=? , [CategoryID]=? , [NoteDate]=? where NotesID=?"
			
			Main.sql1.BeginTransaction
			Main.sql1.ExecNonQuery2(str,Array As Object(txtTitle.Text,txtDesc.Text,selectedColorID,selectedCatID,DateTime.Date(DateTime.Now),MainMenu.selectedNoteID))
			Main.sql1.TransactionSuccessful
			Main.sql1.EndTransaction
			
			Else
				
		Dim str As String
		str = "insert into NotesInfo (NoteTitle,NoteDesc,NoteColor,CategoryID,NoteDate) values (?,?,?,?,?) "
		
		Main.sql1.BeginTransaction
		Main.sql1.ExecNonQuery2(str,Array As Object(txtTitle.Text,txtDesc.Text,selectedColorID,selectedCatID,DateTime.Date(DateTime.Now)))
		Main.sql1.TransactionSuccessful
		Main.sql1.EndTransaction

		End If
		
		Activity.Finish
		
	Catch
		Log(LastException)
	End Try
End Sub


Sub Create_Colors(pMain As Panel)
	Try
		
		Dim cls1,cls2,cls3,cls4,cls5,cls6 As ColorDrawable
		cls1.Initialize(Colors.RGB(255,219,195),2%x)
		cls2.Initialize(Colors.RGB(255,197,209),2%x)
		cls3.Initialize(Colors.RGB(231,208,250),2%x)
		cls4.Initialize(Colors.RGB(204,204,254),2%x)
		cls5.Initialize(Colors.RGB(181,233,211),2%x)
		cls6.Initialize(Colors.RGB(181,216,254),2%x)
		
		Dim p As Panel
		p.Initialize("pColor")
		pMain.AddView(p,2%x,1%y,10%x,10%x)
		p.Background = cls1
		p.BringToFront
		p.Tag = 1
		
		Dim p As Panel
		p.Initialize("pColor")
		pMain.AddView(p,17%x,1%y,10%x,10%x)
		p.Background = cls2
		p.BringToFront
		p.Tag = 2
		
		Dim p As Panel
		p.Initialize("pColor")
		pMain.AddView(p,32%x,1%y,10%x,10%x)
		p.Background = cls3
		p.BringToFront
		p.Tag = 3
		
		Dim p As Panel
		p.Initialize("pColor")
		pMain.AddView(p,47%x,1%y,10%x,10%x)
		p.Background = cls4
		p.BringToFront
		p.Tag = 4
		
		Dim p As Panel
		p.Initialize("pColor")
		pMain.AddView(p,62%x,1%y,10%x,10%x)
		p.Background = cls5
		p.BringToFront
		p.Tag = 5
		
		
		Dim p As Panel
		p.Initialize("pColor")
		pMain.AddView(p,77%x,1%y,10%x,10%x)
		p.Background = cls6
		p.BringToFront
		p.Tag = 6
		
		
	Catch
		Log(LastException)
	End Try
End Sub
Sub pColor_Click
	Try
		
		Dim cls1,cls2,cls3,cls4,cls5,cls6 As ColorDrawable
		cls1.Initialize(Colors.RGB(255,219,195),2%x)
		cls2.Initialize(Colors.RGB(255,197,209),2%x)
		cls3.Initialize(Colors.RGB(231,208,250),2%x)
		cls4.Initialize(Colors.RGB(204,204,254),2%x)
		cls5.Initialize(Colors.RGB(181,233,211),2%x)
		cls6.Initialize(Colors.RGB(181,216,254),2%x)
		
		Dim p As Panel
		p = Sender
		
		If p.Tag = 1 Then
			txtDesc.Background = cls1
			
		Else If p.Tag = 2 Then
			txtDesc.Background = cls2
			
		Else If p.Tag = 3 Then
			txtDesc.Background = cls3
			
		Else If p.Tag = 4 Then
			txtDesc.Background = cls4
			
		Else If p.Tag = 5 Then
			txtDesc.Background = cls5
			
		Else If p.Tag = 6 Then
			txtDesc.Background = cls6
				
		End If
		
		selectedColorID = p.Tag
		
	Catch
		Log(LastException)
	End Try
End Sub




Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub
Sub imgBack_Click
	Activity.Finish
End Sub
Sub Load_Data_ByID
	Try
		
		If MainMenu.selectedNoteID > 0 Then
			Dim c As Cursor
			c= Main.sql1.ExecQuery("select * from NotesInfo where NotesID="&MainMenu.selectedNoteID)
			For i = 0 To c.RowCount-1
				c.Position = i
				txtTitle.Text = c.GetString("NoteTitle")
				txtDesc.Text = c.GetString("NoteDesc")
				
				Dim cls1,cls2,cls3,cls4,cls5,cls6 As ColorDrawable
				cls1.Initialize(Colors.RGB(255,219,195),2%x)
				cls2.Initialize(Colors.RGB(255,197,209),2%x)
				cls3.Initialize(Colors.RGB(231,208,250),2%x)
				cls4.Initialize(Colors.RGB(204,204,254),2%x)
			    cls5.Initialize(Colors.RGB(181,233,211),2%x)
			    cls6.Initialize(Colors.RGB(181,216,254),2%x)
				
				If c.GetInt("NoteColor") = 1 Then
					txtDesc.Background = cls1
					
				else If c.GetInt("NoteColor") = 2 Then
					txtDesc.Background = cls2
				else If c.GetInt("NoteColor") = 3 Then
					txtDesc.Background = cls3
				else If c.GetInt("NoteColor") = 4 Then
					txtDesc.Background = cls4
				else If c.GetInt("NoteColor") = 5 Then
					txtDesc.Background = cls5
					
				else If c.GetInt("NoteColor") = 6 Then
					txtDesc.Background = cls6
					
				End If
				  
				selectedCatID = c.GetInt("CategoryID")
				
			Next
			c.Close
				
				
		End If
	
	Catch
		Log(LastException)
	End Try
End Sub

