﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=10.5
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim VR As VoiceRecognition
	Dim TTS1 As TTS
	Dim selectedNoteID As Int
	
End Sub

Sub Globals
	Type TextMetric (Width As Int,Height As Int)
	Dim sv1 As ScrollView
	Dim txtSearch As EditText
	
	Dim sv2 As HorizontalScrollView
	Dim pAddCatShadow As Panel
	Dim pAddCat As Panel
	Dim txtCatDesc As EditText
	Dim SelectedCatID As Int
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.Color = Colors.RGB(248,248,248)
	
	SelectedCatID = 0
	
	Dim p As Panel
	p.Initialize("")
	Activity.AddView(p,0,0,100%x,8%y)
	p.Color = Colors.White
	
	Dim imgMenu As ImageView
	imgMenu.Initialize("imgMenu")
	Activity.AddView(imgMenu,5%x,2%y,7%x,7%x)
	imgMenu.Bitmap = LoadBitmap(File.DirAssets,"imgMenu.png")
	imgMenu.Gravity = Gravity.FILL
	imgMenu.BringToFront
	
	
	
	Dim lbl As Label
	lbl.Initialize("")
	p.AddView(lbl,20%x,0,100%x,8%y)
	lbl.Text = "XNoted"
	lbl.TextColor = Colors.RGB(67,67,67)
	lbl.TextSize=  14
	lbl.Gravity = Bit.Or(Gravity.LEFT,Gravity.CENTER)
	lbl.Typeface = Typeface.DEFAULT_BOLD
	lbl.BringToFront
	
	Dim cls As ColorDrawable
	cls.Initialize(Colors.RGB(235,235,235),10%x)
	Dim pSearch As Panel
	pSearch.Initialize("")
	Activity.AddView(pSearch,5%x,10%y,75%x,8%y)
	pSearch.Background = cls
	pSearch.BringToFront
	
	txtSearch.Initialize("txtSearch")
	pSearch.AddView(txtSearch,5%x,0,70%x,8%y)
	txtSearch.Color = Colors.ARGB(0,0,0,0)
	txtSearch.TextColor = Colors.RGB(67,67,67)
	txtSearch.Gravity = Bit.Or(Gravity.LEFT,Gravity.CENTER)
	txtSearch.TextSize = 14
	txtSearch.Hint = "Search notes"
	txtSearch.HintColor = Colors.RGB(100,100,100)
	txtSearch.BringToFront
	txtSearch.SingleLine= True
	txtSearch.ForceDoneButton = True
	
	Dim imgVoice As ImageView
	imgVoice.Initialize("imgVoice")
	Activity.AddView(imgVoice,85%x,12%y,10%x,10%x)
	imgVoice.Bitmap = LoadBitmap(File.DirAssets,"imgvoice.PNG")
	imgVoice.Gravity = Gravity.FILL
	imgVoice.BringToFront
	
	Dim imgAdd As ImageView
	imgAdd.Initialize("imgAdd")
	Activity.AddView(imgAdd,5%x,20.5%y,10%x,10%x)
	imgAdd.Bitmap = LoadBitmap(File.DirAssets,"imgAdd.PNG")
	imgAdd.Gravity =Gravity.FILL
	imgAdd.BringToFront

	sv2.Initialize(100%x,"")
	Activity.AddView(sv2,20%x,20%y,80%x,7%y)
	sv2.BringToFront
	sv2.Color = Colors.RGB(248,248,248)
	
	sv1.Initialize(90%y)
	Activity.AddView(sv1,0%x,28%y,100%x,72%y)
	sv1.Color = Colors.RGB(248,248,248)
	sv1.BringToFront
	
	Hide_H_SB(sv2)
	Hide_V_SB(sv1)
	
	Dim imgAdd2 As ImageView
	imgAdd2.Initialize("imgAdd2")
	Activity.AddView(imgAdd2,80%x,90%y,15%x,15%x)
	imgAdd2.Bitmap = LoadBitmap(File.DirAssets,"imgAdd2.PNG")
	imgAdd2.Gravity = Gravity.FILL
	imgAdd2.BringToFront

	If FirstTime Then
		VR.Initialize("VR")
		TTS1.Initialize("TTS1")
	End If
	
	VR.Prompt = "Search notes"

	pAddCatShadow.Initialize("pAddCatShadow")
	Activity.AddView(pAddCatShadow,0,0,100%x,100%y)
	pAddCatShadow.Color = Colors.ARGB(150,0,0,0)
	pAddCatShadow.BringToFront
	pAddCatShadow.Visible = False
	
	Dim clsPCat As ColorDrawable
	clsPCat.Initialize(Colors.White,10%x)
	
	
	
	pAddCat.Initialize("pAddCat")
	Activity.AddView(pAddCat,0,100%y,100%x,60%y)
	pAddCat.Background = clsPCat
	pAddCat.BringToFront
	
	Dim imgCatGrip As ImageView
	imgCatGrip.Initialize("imgCatGrip")
	pAddCat.AddView(imgCatGrip,40%x,1%y,20%x,10%x)
	imgCatGrip.Bitmap = LoadBitmap(File.DirAssets,"imgCatGrip.PNG")
	imgCatGrip.Gravity = Gravity.FILL
	imgCatGrip.BringToFront
	
	Dim lbl As Label
	lbl.Initialize("")
	pAddCat.AddView(lbl,0,2%y,100%x,10%y)
	lbl.Text ="Category information"
	lbl.TextColor = Colors.RGB(67,67,67)
	lbl.TextSize = 14
	lbl.Typeface = Typeface.DEFAULT_BOLD
	lbl.Gravity = Gravity.CENTER
	lbl.BringToFront
	
	txtCatDesc.Initialize("txtCatDesc")
	pAddCat.AddView(txtCatDesc,10%x,15%y,80%x,8%y)
	txtCatDesc.Hint = "Category description"
	txtCatDesc.HintColor = Colors.RGB(100,100,100)
	txtCatDesc.TextSize = 14
	txtCatDesc.Gravity = Gravity.CENTER
	txtCatDesc.TextColor = Colors.RGB(67,67,67)
	txtCatDesc.BringToFront
	
	Dim txtCatDesccls As ColorDrawable
	txtCatDesccls.Initialize(Colors.RGB(235,235,235),5%x)
	txtCatDesc.Background = txtCatDesccls
	
	
	Dim cls As ColorDrawable
	cls.Initialize(Colors.RGB(237,53,63),10%x)
	Dim lbl As Label
	lbl.Initialize("lblSave")
	pAddCat.AddView(lbl,40%x,30%y,20%x,10%x)
	lbl.Text = "SAVE"
	lbl.Typeface = Typeface.DEFAULT_BOLD
	lbl.TextColor = Colors.White
	lbl.TextSize = 12
	lbl.Gravity = Gravity.CENTER
	lbl.BringToFront
	lbl.Background = cls
	
	

	Load_Categories
	
End Sub
Sub pAddCat_Click
	
End Sub
Sub pAddCatShadow_Click
	Try
		pAddCatShadow.SetVisibleAnimated(500,False)
		pAddCat.SetLayoutAnimated(500,0,100%y,100%x,60%y)
		
	Catch
		Log(LastException)
	End Try
End Sub
Sub imgAdd_Click
	Try
		pAddCatShadow.SetVisibleAnimated(500,True)
		pAddCat.SetLayoutAnimated(500,0,60%y,100%x,60%y)
		
	Catch
		Log(LastException)
	End Try
End Sub
Sub lblSave_Click
	Try
		
	If SelectedCatID > 0 Then
		Dim str As String
			str = "Update Categories set [CategoryDesc] =? where CategoryID=?"
			Main.sql1.BeginTransaction
			Main.sql1.ExecNonQuery2(str,Array As Object(txtCatDesc.Text,SelectedCatID))
			Main.sql1.TransactionSuccessful
			Main.sql1.EndTransaction
			txtCatDesc.Text = ""
			
			pAddCatShadow.SetVisibleAnimated(500,False)
			pAddCat.SetLayoutAnimated(500,0,100%y,100%x,60%y)
			SelectedCatID = 0
			
	Else
	 
		Dim str As String
		str = "insert into Categories (CategoryDesc) values (?) "
		
				
		Main.sql1.BeginTransaction
		Main.sql1.ExecNonQuery2(str,Array As Object(txtCatDesc.Text))
		Main.sql1.TransactionSuccessful
		Main.sql1.EndTransaction
		
		txtCatDesc.Text = ""
		
		pAddCatShadow.SetVisibleAnimated(500,False)
		pAddCat.SetLayoutAnimated(500,0,100%y,100%x,60%y)
		
		SelectedCatID = 0
		
		End If
		
		Load_Categories
		
	Catch
		Log(LastException)
	End Try
End Sub
Sub txtCatDesc_TextChanged (Old As String, New As String)
	Try
		If New.Length > 10 Then txtCatDesc.Text = Old
		
		
	Catch
		Log(LastException)
	End Try
End Sub
Sub Load_Categories
	Try
		sv2.Panel.RemoveAllViews
		
		Dim c As Cursor
		c = Main.sql1.ExecQuery("select * from Categories")
		For i = 0 To c.RowCount -1
			
			sv2.Panel.Width = sv2.Panel.Width + 30%x
			
			c.Position = i
			Dim p As Panel
			p.Initialize("")
			sv2.Panel.AddView(p,(30%x * i),0,28%x,7%y)
			
			Dim cls As ColorDrawable
			cls.Initialize(Colors.RGB(235,235,235),5%x)
			
			p.Background = cls
			p.BringToFront
			
			Dim lbl As Label
			lbl.Initialize("lblCat")
			p.AddView(lbl,0,0,p.Width,p.Height)
			lbl.Text = c.GetString("CategoryDesc")
			lbl.TextColor = Colors.RGB(67,67,67)
			lbl.TextSize = 12
			lbl.Gravity =Gravity.CENTER
			lbl.BringToFront
			lbl.Tag=  c.GetInt("CategoryID")
			
			
		Next
		c.Close
		
	Catch
		Log(LastException)
	End Try
End Sub
Sub lblCat_Click
	Try
		Dim lbl As Label
		lbl = Sender
		
		Load_Data_ByCategory(lbl.Tag)
		
	Catch
		Log(LastException)
	End Try
End Sub

Sub lblCat_LongClick
	Try
		Dim lbl As Label
		lbl = Sender
		
		Dim c As Cursor
		c = Main.sql1.ExecQuery("select * from Categories where CategoryID="&lbl.tag)
		
		For i = 0 To c.RowCount -1
			c.Position = i
			txtCatDesc.Text = c.GetString("CategoryDesc")
			SelectedCatID = c.GetInt("CategoryID")
		Next
		c.Close
		
		pAddCatShadow.SetVisibleAnimated(500,True)
		pAddCat.SetLayoutAnimated(500,0,60%y,100%x,60%y)
		
	Catch
		Log(LastException)
	End Try
End Sub

Sub txtSearch_EnterPressed
	Try
		
		Load_Data_BySearch
	Catch
		Log(LastException)
	End Try
End Sub

Sub imgVoice_Click
	Try
		VR.Listen
    
	Catch
		Log(LastException)
	End Try
	 
End Sub

Sub VR_Result (Success As Boolean, Texts As List)
	If Success = True Then
		ToastMessageShow(Texts.Get(0), True)
		Log(Texts.Get(0))
		txtSearch.Text = Texts.Get(0)
		Load_Data_BySearch
'		TTS1.Speak(Texts.Get(0), True)
	End If
End Sub
Sub Load_Data_BySearch
	Try
		sv1.Panel.RemoveAllViews
		Log(txtSearch.Text)
		Dim c As Cursor
		c = Main.sql1.ExecQuery("select * from NotesInfo where NoteDesc like '%"& txtSearch.Text &"%' order by NotesID desc")
		
		Dim PreintStringHeightLeft As Int
		Dim PreintStringHeightRight As Int
		
		For i = 0 To c.RowCount -1
			c.Position = i
			 
			
			Dim pcls As ColorDrawable
			
			If c.GetInt("NoteColor") = 1 Then
				pcls.Initialize(Colors.RGB(255,219,195),3%x)
				
			Else If c.GetInt("NoteColor") = 2 Then
				pcls.Initialize(Colors.RGB(255,197,209),3%x)
				
			Else If c.GetInt("NoteColor") = 3 Then
				pcls.Initialize(Colors.RGB(231,208,250),3%x)
				
			Else If c.GetInt("NoteColor") = 4 Then
				pcls.Initialize(Colors.RGB(204,204,254),3%x)
				
			Else If c.GetInt("NoteColor") = 5 Then
				pcls.Initialize(Colors.RGB(181,233,211),3%x)
				
			Else If c.GetInt("NoteColor") = 6 Then
				pcls.Initialize(Colors.RGB(181,216,254),3%x)
			End If
			 
			Dim su As StringUtils
			
			Dim Label1 As Label
			Label1.Initialize("")
			Label1.Text = c.GetString("NoteDesc")
			Label1.TextSize = 14
			
			Activity.AddView(Label1, 10dip, 110%y, 200dip, 0%y)
			Label1.Gravity = Gravity.LEFT
			Dim su As StringUtils
			Dim intStringHeight As Int
			intStringHeight = su.MeasureMultilineTextHeight(Label1, Label1.Text)
			
		
			Log(intStringHeight)
			
			If i Mod 2 == 0 Then
				Log("Number is even")
				
				Dim p As Panel
				p.Initialize("")
				sv1.Panel.AddView(p,50%x,PreintStringHeightRight + 10%y,40%x,intStringHeight + 16%y)
				p.BringToFront

				p.Background = pcls
				
				Dim lbl As Label
				lbl.Initialize("")
				p.AddView(lbl,2%x,1%y ,38%x,p.Height)
				lbl.Text = c.GetString("NoteTitle")
				lbl.TextColor = Colors.RGB(67,67,67)
				lbl.Gravity = Gravity.LEFT
				lbl.BringToFront
				lbl.Typeface = Typeface.DEFAULT_BOLD
				lbl.TextSize = 14
				lbl.BringToFront
				
				Dim lbl As Label
				lbl.Initialize("")
				p.AddView(lbl,2%x,6%y ,38%x,p.Height)
				lbl.Text = c.GetString("NoteDesc")
				lbl.TextColor = Colors.RGB(67,67,67)
				lbl.Gravity = Gravity.LEFT
				lbl.BringToFront
				lbl.TextSize = 14
				lbl.BringToFront
				
				Dim lbl As Label
				lbl.Initialize("")
				p.AddView(lbl,2%x,p.Height - 4%y ,38%x,6%y)
				lbl.Text = c.GetString("NoteDate")
				lbl.TextColor = Colors.RGB(67,67,67)
				lbl.Gravity = Gravity.LEFT
				lbl.BringToFront
				lbl.TextSize = 12
				lbl.BringToFront
				p.Visible = False
				
				p.SetVisibleAnimated(200,True)
				
				p.SetLayoutAnimated(400,50%x,PreintStringHeightRight,40%x,intStringHeight + 16%y)
				Sleep(100)
				
				PreintStringHeightRight = PreintStringHeightRight + intStringHeight + 18%y
				
			Else
				Log("Number is odd")
				
				Dim p As Panel
				p.Initialize("")
				sv1.Panel.AddView(p,5%x,PreintStringHeightLeft  + 10%y ,40%x,intStringHeight + 16%y)
				p.BringToFront
				p.Background = pcls
				
				Dim lbl As Label
				lbl.Initialize("")
				p.AddView(lbl,2%x,1%y ,38%x,p.Height)
				lbl.Text = c.GetString("NoteTitle")
				lbl.TextColor = Colors.RGB(67,67,67)
				lbl.Gravity = Gravity.LEFT
				lbl.BringToFront
				lbl.Typeface = Typeface.DEFAULT_BOLD
				lbl.TextSize = 14
				lbl.BringToFront
				
				Dim lbl As Label
				lbl.Initialize("")
				p.AddView(lbl,2%x,6%y ,38%x,p.Height)
				lbl.Text = c.GetString("NoteDesc")
				lbl.TextColor = Colors.RGB(67,67,67)
				lbl.Gravity = Gravity.LEFT
				lbl.BringToFront
				lbl.TextSize = 14
				lbl.BringToFront
				
				Dim lbl As Label
				lbl.Initialize("")
				p.AddView(lbl,2%x,p.Height - 4%y ,38%x,6%y)
				lbl.Text = c.GetString("NoteDate")
				lbl.TextColor = Colors.RGB(67,67,67)
				lbl.Gravity = Gravity.LEFT
				lbl.BringToFront
				lbl.TextSize = 12
				lbl.BringToFront
				p.Visible = False
				
				p.SetVisibleAnimated(200,True)
				
				p.SetLayoutAnimated(200,5%x,PreintStringHeightLeft,40%x,intStringHeight + 16%y)
				Sleep(100)
				
				PreintStringHeightLeft = PreintStringHeightLeft + intStringHeight + 18%y
			  
			End If
			
		
			
		Next
		c.Close
		
	Catch
		Log(LastException)
	End Try
End Sub
Sub Load_Data
	Try
		sv1.Panel.RemoveAllViews
		
		Dim c As Cursor
		c = Main.sql1.ExecQuery("select * from NotesInfo order by NotesID desc")
		
		Dim PreintStringHeightLeft As Int
		Dim PreintStringHeightRight As Int
		
		For i = 0 To c.RowCount -1
			c.Position = i
			 
			
			Dim pcls As ColorDrawable
			
			If c.GetInt("NoteColor") = 1 Then
				pcls.Initialize(Colors.RGB(255,219,195),3%x)
				
			Else If c.GetInt("NoteColor") = 2 Then
				pcls.Initialize(Colors.RGB(255,197,209),3%x)
				
			Else If c.GetInt("NoteColor") = 3 Then
				pcls.Initialize(Colors.RGB(231,208,250),3%x)
				
			Else If c.GetInt("NoteColor") = 4 Then
				pcls.Initialize(Colors.RGB(204,204,254),3%x)
				
			Else If c.GetInt("NoteColor") = 5 Then
				pcls.Initialize(Colors.RGB(181,233,211),3%x)
				
			Else If c.GetInt("NoteColor") = 6 Then
				pcls.Initialize(Colors.RGB(181,216,254),3%x)
			End If
			 
			Dim su As StringUtils
			
			Dim Label1 As Label
			Label1.Initialize("")
			Label1.Text = c.GetString("NoteDesc")
			Label1.TextSize = 14
			
			Activity.AddView(Label1, 10dip, 110%y, 200dip, 0%y)
			Label1.Gravity = Gravity.LEFT
			Dim su As StringUtils
			Dim intStringHeight As Int
			intStringHeight = su.MeasureMultilineTextHeight(Label1, Label1.Text)
			
		
			Log(intStringHeight)
			
			If i Mod 2 == 0 Then
				Log("Number is even")
				
				Dim p As Panel
				p.Initialize("pNote")
				sv1.Panel.AddView(p,50%x,PreintStringHeightRight + 10%y,40%x,intStringHeight + 16%y)
				p.BringToFront
				p.Tag= c.GetInt("NotesID")

				p.Background = pcls
				
				Dim lbl As Label
				lbl.Initialize("")
				p.AddView(lbl,2%x,1%y ,38%x,p.Height)
				lbl.Text = c.GetString("NoteTitle")
				lbl.TextColor = Colors.RGB(67,67,67)
				lbl.Gravity = Gravity.LEFT
				lbl.BringToFront
				lbl.Typeface = Typeface.DEFAULT_BOLD
				lbl.TextSize = 14
				lbl.BringToFront
				
				Dim lbl As Label
				lbl.Initialize("")
				p.AddView(lbl,2%x,6%y ,38%x,p.Height)
				lbl.Text = c.GetString("NoteDesc")
				lbl.TextColor = Colors.RGB(67,67,67)
				lbl.Gravity = Gravity.LEFT
				lbl.BringToFront
				lbl.TextSize = 14
				lbl.BringToFront
				
				Dim lbl As Label
				lbl.Initialize("")
				p.AddView(lbl,2%x,p.Height - 4%y ,38%x,6%y)
				lbl.Text = c.GetString("NoteDate")
				lbl.TextColor = Colors.RGB(67,67,67)
				lbl.Gravity = Gravity.LEFT
				lbl.BringToFront
				lbl.TextSize = 12
				lbl.BringToFront
				p.Visible = False
				
				p.SetVisibleAnimated(200,True)
				
				p.SetLayoutAnimated(400,50%x,PreintStringHeightRight,40%x,intStringHeight + 16%y)
				Sleep(100)
				
				PreintStringHeightRight = PreintStringHeightRight + intStringHeight + 18%y
				
			Else
				Log("Number is odd")
				
				Dim p As Panel
				p.Initialize("pNote")
				sv1.Panel.AddView(p,5%x,PreintStringHeightLeft  + 10%y ,40%x,intStringHeight + 16%y)
				p.BringToFront
				p.Background = pcls
				p.Tag= c.GetInt("NotesID")
				
				Dim lbl As Label
				lbl.Initialize("")
				p.AddView(lbl,2%x,1%y ,38%x,p.Height)
				lbl.Text = c.GetString("NoteTitle")
				lbl.TextColor = Colors.RGB(67,67,67)
				lbl.Gravity = Gravity.LEFT
				lbl.BringToFront
				lbl.Typeface = Typeface.DEFAULT_BOLD
				lbl.TextSize = 14
				lbl.BringToFront
				
				Dim lbl As Label
				lbl.Initialize("")
				p.AddView(lbl,2%x,6%y ,38%x,p.Height)
				lbl.Text = c.GetString("NoteDesc")
				lbl.TextColor = Colors.RGB(67,67,67)
				lbl.Gravity = Gravity.LEFT
				lbl.BringToFront
				lbl.TextSize = 14
				lbl.BringToFront
				
				Dim lbl As Label
				lbl.Initialize("")
				p.AddView(lbl,2%x,p.Height - 4%y ,38%x,6%y)
				lbl.Text = c.GetString("NoteDate")
				lbl.TextColor = Colors.RGB(67,67,67)
				lbl.Gravity = Gravity.LEFT
				lbl.BringToFront
				lbl.TextSize = 12
				lbl.BringToFront
				p.Visible = False
				
				p.SetVisibleAnimated(200,True)
				
				p.SetLayoutAnimated(200,5%x,PreintStringHeightLeft,40%x,intStringHeight + 16%y)
				Sleep(100)
				
				PreintStringHeightLeft = PreintStringHeightLeft + intStringHeight + 18%y
			  
				sv1.Panel.Height = sv1.Panel.Height  + intStringHeight + 18%y
			  
			End If
			
			
		Next
		c.Close
		
	Catch
		Log(LastException)
	End Try
End Sub
 Sub Load_Data_ByCategory(CatID As Int)
	Try
		sv1.Panel.RemoveAllViews
		
		Dim c As Cursor
		c = Main.sql1.ExecQuery("select * from NotesInfo where CategoryID="& CatID &" order by NotesID desc")
		
		Dim PreintStringHeightLeft As Int
		Dim PreintStringHeightRight As Int
		
		For i = 0 To c.RowCount -1
			c.Position = i
			 
			
			Dim pcls As ColorDrawable
			
			If c.GetInt("NoteColor") = 1 Then
				pcls.Initialize(Colors.RGB(255,219,195),3%x)
				
			Else If c.GetInt("NoteColor") = 2 Then
				pcls.Initialize(Colors.RGB(255,197,209),3%x)
				
			Else If c.GetInt("NoteColor") = 3 Then
				pcls.Initialize(Colors.RGB(231,208,250),3%x)
				
			Else If c.GetInt("NoteColor") = 4 Then
				pcls.Initialize(Colors.RGB(204,204,254),3%x)
				
			Else If c.GetInt("NoteColor") = 5 Then
				pcls.Initialize(Colors.RGB(181,233,211),3%x)
				
			Else If c.GetInt("NoteColor") = 6 Then
				pcls.Initialize(Colors.RGB(181,216,254),3%x)
			End If
			 
			Dim su As StringUtils
			
			Dim Label1 As Label
			Label1.Initialize("")
			Label1.Text = c.GetString("NoteDesc")
			Label1.TextSize = 14
			
			Activity.AddView(Label1, 10dip, 110%y, 200dip, 0%y)
			Label1.Gravity = Gravity.LEFT
			Dim su As StringUtils
			Dim intStringHeight As Int
			intStringHeight = su.MeasureMultilineTextHeight(Label1, Label1.Text)
			
		
			Log(intStringHeight)
			
			If i Mod 2 == 0 Then
				Log("Number is even")
				
				Dim p As Panel
				p.Initialize("pNote")
				sv1.Panel.AddView(p,50%x,PreintStringHeightRight + 10%y,40%x,intStringHeight + 16%y)
				p.BringToFront
				p.Tag= c.GetInt("NotesID")

				p.Background = pcls
				
				Dim lbl As Label
				lbl.Initialize("")
				p.AddView(lbl,2%x,1%y ,38%x,p.Height)
				lbl.Text = c.GetString("NoteTitle")
				lbl.TextColor = Colors.RGB(67,67,67)
				lbl.Gravity = Gravity.LEFT
				lbl.BringToFront
				lbl.Typeface = Typeface.DEFAULT_BOLD
				lbl.TextSize = 14
				lbl.BringToFront
				
				Dim lbl As Label
				lbl.Initialize("")
				p.AddView(lbl,2%x,6%y ,38%x,p.Height)
				lbl.Text = c.GetString("NoteDesc")
				lbl.TextColor = Colors.RGB(67,67,67)
				lbl.Gravity = Gravity.LEFT
				lbl.BringToFront
				lbl.TextSize = 14
				lbl.BringToFront
				
				Dim lbl As Label
				lbl.Initialize("")
				p.AddView(lbl,2%x,p.Height - 4%y ,38%x,6%y)
				lbl.Text = c.GetString("NoteDate")
				lbl.TextColor = Colors.RGB(67,67,67)
				lbl.Gravity = Gravity.LEFT
				lbl.BringToFront
				lbl.TextSize = 12
				lbl.BringToFront
				p.Visible = False
				
				p.SetVisibleAnimated(200,True)
				
				p.SetLayoutAnimated(400,50%x,PreintStringHeightRight,40%x,intStringHeight + 16%y)
				Sleep(100)
				
				PreintStringHeightRight = PreintStringHeightRight + intStringHeight + 18%y
				
			Else
				Log("Number is odd")
				
				Dim p As Panel
				p.Initialize("pNote")
				sv1.Panel.AddView(p,5%x,PreintStringHeightLeft  + 10%y ,40%x,intStringHeight + 16%y)
				p.BringToFront
				p.Background = pcls
				p.Tag= c.GetInt("NotesID")
				
				Dim lbl As Label
				lbl.Initialize("")
				p.AddView(lbl,2%x,1%y ,38%x,p.Height)
				lbl.Text = c.GetString("NoteTitle")
				lbl.TextColor = Colors.RGB(67,67,67)
				lbl.Gravity = Gravity.LEFT
				lbl.BringToFront
				lbl.Typeface = Typeface.DEFAULT_BOLD
				lbl.TextSize = 14
				lbl.BringToFront
				
				Dim lbl As Label
				lbl.Initialize("")
				p.AddView(lbl,2%x,6%y ,38%x,p.Height)
				lbl.Text = c.GetString("NoteDesc")
				lbl.TextColor = Colors.RGB(67,67,67)
				lbl.Gravity = Gravity.LEFT
				lbl.BringToFront
				lbl.TextSize = 14
				lbl.BringToFront
				
				Dim lbl As Label
				lbl.Initialize("")
				p.AddView(lbl,2%x,p.Height - 4%y ,38%x,6%y)
				lbl.Text = c.GetString("NoteDate")
				lbl.TextColor = Colors.RGB(67,67,67)
				lbl.Gravity = Gravity.LEFT
				lbl.BringToFront
				lbl.TextSize = 12
				lbl.BringToFront
				p.Visible = False
				
				p.SetVisibleAnimated(200,True)
				
				p.SetLayoutAnimated(200,5%x,PreintStringHeightLeft,40%x,intStringHeight + 16%y)
				Sleep(100)
				
				PreintStringHeightLeft = PreintStringHeightLeft + intStringHeight + 18%y
			  
				sv1.Panel.Height = sv1.Panel.Height  + intStringHeight + 18%y
			  
			End If
			
			
		Next
		c.Close
		
	Catch
		Log(LastException)
	End Try
End Sub

Sub pNote_LongClick
	Try
		Dim p As Panel
		p = Sender
		Dim str As String
		str = "delete from NotesInfo where NotesID="&p.Tag
		Main.sql1.BeginTransaction
		Main.sql1.ExecNonQuery(str)
		Main.sql1.TransactionSuccessful
		Main.sql1.EndTransaction
		
		Load_Data
		
	Catch
		Log(LastException)
	End Try
End Sub

Sub pNote_Click
	Try
		Dim p As Panel
		p = Sender
		selectedNoteID = p.Tag
		StartActivity(AddNotes)
	Catch
		Log(LastException)
	End Try

		
End Sub

Sub imgAdd2_Click
	Try
		StartActivity(AddNotes)
	Catch
		Log(LastException)
	End Try
End Sub

Sub Activity_Resume
	selectedNoteID = 0
	If txtSearch.IsInitialized Then
		If txtSearch.Text.Trim = "" Then
			Load_Data
			
		Else
			Load_Data_BySearch
				
		End If
	End If
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub Hide_H_SB(sv As HorizontalScrollView)
	Try
		
		Dim r As Reflector
		r.Target = sv
		r.RunMethod2("setHorizontalScrollBarEnabled", False, "java.lang.boolean")
		
	Catch
		Log(LastException)
	End Try
End Sub

Sub Hide_V_SB(sv As ScrollView)
	Try
		
		Dim r As Reflector
		r.Target = sv
		r.RunMethod2("setVerticalScrollBarEnabled", False, "java.lang.boolean")
		
	Catch
		Log(LastException)
	End Try
End Sub
